# All Documents

- fn_gen
  index.html
  Package
  Package
  PUBLIC
  A library for usage with SCPI compliant function generators (for now the DG2000 series from rigol)
- fn_gen.common
  fn_gen.common.html
  Module
  Module
  PUBLIC
  Common functions that are used all over the package
- fn_gen.dg2052
  fn_gen.dg2052.html
  Module
  Module
  PUBLIC
  The main funciton generator module
- fn_gen.enums
  fn_gen.enums.html
  Package
  Package
  PUBLIC
  Some enums that are used within this package
- fn_gen.enums.comm_method
  fn_gen.enums.comm_method.html
  Module
  Module
  PUBLIC
  Communication Method Enumeration
- fn_gen.enums.sweep_signal_type
  fn_gen.enums.sweep_signal_type.html
  Module
  Module
  PUBLIC
  Enumeration representing the different signal types used in a sweep
- fn_gen.enums.sweep_spacing
  fn_gen.enums.sweep_spacing.html
  Module
  Module
  PUBLIC
  The spacings used for the sweep
- fn_gen.enums.sweep_trigger_slope
  fn_gen.enums.sweep_trigger_slope.html
  Module
  Module
  PUBLIC
  The different slopes used when the `sweep_trigger_source` is set to `SweepTriggerSource.EXTERNAL`
- fn_gen.enums.sweep_trigger_source
  fn_gen.enums.sweep_trigger_source.html
  Module
  Module
  PUBLIC
  The different sources available to trigger a sweep
- fn_gen.errors
  fn_gen.errors.html
  Package
  Package
  PUBLIC
  A combination of errors used within the package
- fn_gen.errors.undefined_communication_method_error
  fn_gen.errors.undefined_communication_method_error.html
  Module
  Module
  PUBLIC
  An error type used when the communication method is not in the `CommMethod` enum
- fn_gen.errors.undefined_value_error
  fn_gen.errors.undefined_value_error.html
  Module
  Module
  PUBLIC
  An error used when the value used is not defined
- fn_gen.errors.value_out_of_bounds_error
  fn_gen.errors.value_out_of_bounds_error.html
  Module
  Module
  PUBLIC
  An error used when the value used is out of bounds for the function
- fn_gen.errors.undefined_communication_method_error.UndefinedCommunicationMethodError
  fn_gen.errors.undefined_communication_method_error.UndefinedCommunicationMethodError.html
  Class
  Exception
  PUBLIC
  Undocumented
- fn_gen.errors.undefined_communication_method_error.UndefinedCommunicationMethodError.__init__
  fn_gen.errors.undefined_communication_method_error.UndefinedCommunicationMethodError.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- fn_gen.errors.value_out_of_bounds_error.ValueOutOfBoundsError
  fn_gen.errors.value_out_of_bounds_error.ValueOutOfBoundsError.html
  Class
  Exception
  PUBLIC
  Undocumented
- fn_gen.errors.value_out_of_bounds_error.ValueOutOfBoundsError.__init__
  fn_gen.errors.value_out_of_bounds_error.ValueOutOfBoundsError.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- fn_gen.errors.undefined_value_error.UndefinedValueError
  fn_gen.errors.undefined_value_error.UndefinedValueError.html
  Class
  Exception
  PUBLIC
  Undocumented
- fn_gen.errors.undefined_value_error.UndefinedValueError.__init__
  fn_gen.errors.undefined_value_error.UndefinedValueError.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- fn_gen.common.check_bounds
  fn_gen.common.html#check_bounds
  Function
  Function
  PUBLIC
  Checks the whether the given value is within bounds
- fn_gen.enums.comm_method.CommMethod
  fn_gen.enums.comm_method.CommMethod.html
  Class
  Class
  PUBLIC
  The communication method accepted by the function generator
- fn_gen.enums.comm_method.CommMethod.USB
  fn_gen.enums.comm_method.CommMethod.html#USB
  Attribute
  Constant
  PUBLIC
  For USB devices
- fn_gen.enums.comm_method.CommMethod.LAN
  fn_gen.enums.comm_method.CommMethod.html#LAN
  Attribute
  Constant
  PUBLIC
  For LAN devices
- fn_gen.enums.sweep_spacing.SweepSpacing
  fn_gen.enums.sweep_spacing.SweepSpacing.html
  Class
  Class
  PUBLIC
  The spacing used in the sweep function
- fn_gen.enums.sweep_spacing.SweepSpacing.LIN
  fn_gen.enums.sweep_spacing.SweepSpacing.html#LIN
  Attribute
  Constant
  PUBLIC
  A linear sweep
- fn_gen.enums.sweep_spacing.SweepSpacing.LOG
  fn_gen.enums.sweep_spacing.SweepSpacing.html#LOG
  Attribute
  Constant
  PUBLIC
  A logarithmic sweep
- fn_gen.enums.sweep_spacing.SweepSpacing.STEP
  fn_gen.enums.sweep_spacing.SweepSpacing.html#STEP
  Attribute
  Constant
  PUBLIC
  A stepwise sweep
- fn_gen.enums.sweep_trigger_slope.SweepTriggerSlope
  fn_gen.enums.sweep_trigger_slope.SweepTriggerSlope.html
  Class
  Class
  PUBLIC
  The type of slope used for the external sweep trigger
- fn_gen.enums.sweep_trigger_slope.SweepTriggerSlope.POSITIVE
  fn_gen.enums.sweep_trigger_slope.SweepTriggerSlope.html#POSITIVE
  Attribute
  Constant
  PUBLIC
  This option triggers the sweep on the positive edge
- fn_gen.enums.sweep_trigger_slope.SweepTriggerSlope.NEGATIVE
  fn_gen.enums.sweep_trigger_slope.SweepTriggerSlope.html#NEGATIVE
  Attribute
  Constant
  PUBLIC
  Ths option triggers the sweep on the negative edge
- fn_gen.enums.sweep_trigger_source.SweepTriggerSource
  fn_gen.enums.sweep_trigger_source.SweepTriggerSource.html
  Class
  Class
  PUBLIC
  The Source of the trigger for the sweep
- fn_gen.enums.sweep_trigger_source.SweepTriggerSource.INTERNAL
  fn_gen.enums.sweep_trigger_source.SweepTriggerSource.html#INTERNAL
  Attribute
  Constant
  PUBLIC
  An Internal trigger signal, defined by htime_start, htime_stop
- fn_gen.enums.sweep_trigger_source.SweepTriggerSource.EXTERNAL
  fn_gen.enums.sweep_trigger_source.SweepTriggerSource.html#EXTERNAL
  Attribute
  Constant
  PUBLIC
  An external trigger signal
- fn_gen.enums.sweep_trigger_source.SweepTriggerSource.MANUAL
  fn_gen.enums.sweep_trigger_source.SweepTriggerSource.html#MANUAL
  Attribute
  Constant
  PUBLIC
  A manual trigger set in code by the trigger function
- fn_gen.enums.sweep_signal_type.SweepSignalType
  fn_gen.enums.sweep_signal_type.SweepSignalType.html
  Class
  Class
  PUBLIC
  The type of signal used in the sweep function
- fn_gen.enums.sweep_signal_type.SweepSignalType.SINE
  fn_gen.enums.sweep_signal_type.SweepSignalType.html#SINE
  Attribute
  Constant
  PUBLIC
  The Sine function sweep
- fn_gen.enums.sweep_signal_type.SweepSignalType.SQUARE
  fn_gen.enums.sweep_signal_type.SweepSignalType.html#SQUARE
  Attribute
  Constant
  PUBLIC
  The Square function sweep
- fn_gen.enums.sweep_signal_type.SweepSignalType.RAMP
  fn_gen.enums.sweep_signal_type.SweepSignalType.html#RAMP
  Attribute
  Constant
  PUBLIC
  The Ramp function sweep
- fn_gen.dg2052.DG2052
  fn_gen.dg2052.DG2052.html
  Class
  Class
  PUBLIC
  This is an object representing the Rigol DG2052 function generator. This object uses the SCPI protocol for communicating with the Rigol DG2052 function generator.
- fn_gen.dg2052.DG2052.__comm
  fn_gen.dg2052.DG2052.html#__comm
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- fn_gen.dg2052.DG2052.__rm
  fn_gen.dg2052.DG2052.html#__rm
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- fn_gen.dg2052.DG2052.__port
  fn_gen.dg2052.DG2052.html#__port
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- fn_gen.dg2052.DG2052.__init__
  fn_gen.dg2052.DG2052.html#__init__
  Function
  Method
  PUBLIC
  Initializes the DG2052 object
- fn_gen.dg2052.DG2052.whoami
  fn_gen.dg2052.DG2052.html#whoami
  Function
  Method
  PUBLIC
  Shows the identification of the connected instrument
- fn_gen.dg2052.DG2052.set_output
  fn_gen.dg2052.DG2052.html#set_output
  Function
  Method
  PUBLIC
  Sets the output channel ON or OFF
- fn_gen.dg2052.DG2052.toggle_output
  fn_gen.dg2052.DG2052.html#toggle_output
  Function
  Method
  PUBLIC
  Toggles the corresponding output channel
- fn_gen.dg2052.DG2052.get_output_volt_limits
  fn_gen.dg2052.DG2052.html#get_output_volt_limits
  Function
  Method
  PUBLIC
  Gets the output volt limits of the specified channel
- fn_gen.dg2052.DG2052.get_output_impedance
  fn_gen.dg2052.DG2052.html#get_output_impedance
  Function
  Method
  PUBLIC
  Returns the output impedance.
- fn_gen.dg2052.DG2052.get_output_load
  fn_gen.dg2052.DG2052.html#get_output_load
  Function
  Method
  PUBLIC
  Returns the output load.
- fn_gen.dg2052.DG2052.get_output_signal
  fn_gen.dg2052.DG2052.html#get_output_signal
  Function
  Method
  PUBLIC
  Returns the signal type and parameters.
- fn_gen.dg2052.DG2052.get_output_state
  fn_gen.dg2052.DG2052.html#get_output_state
  Function
  Method
  PUBLIC
  Returns the output state of the signal
- fn_gen.dg2052.DG2052.is_output_on
  fn_gen.dg2052.DG2052.html#is_output_on
  Function
  Method
  PUBLIC
  Returns a boolean representing the state of the output
- fn_gen.dg2052.DG2052.set_dc
  fn_gen.dg2052.DG2052.html#set_dc
  Function
  Method
  PUBLIC
  Sets the output channel to DC voltage mode
- fn_gen.dg2052.DG2052.set_sine_wave
  fn_gen.dg2052.DG2052.html#set_sine_wave
  Function
  Method
  PUBLIC
  Sets the output channel to A Sine Wave
- fn_gen.dg2052.DG2052.set_frequency
  fn_gen.dg2052.DG2052.html#set_frequency
  Function
  Method
  PUBLIC
  Sets the frequency of the set signal
- fn_gen.dg2052.DG2052.set_square_wave
  fn_gen.dg2052.DG2052.html#set_square_wave
  Function
  Method
  PUBLIC
  Sets the output channel to A Square Wave
- fn_gen.dg2052.DG2052.set_ramp
  fn_gen.dg2052.DG2052.html#set_ramp
  Function
  Method
  PUBLIC
  Sets the output channel to A Ramp (Triangular) Wave
- fn_gen.dg2052.DG2052.set_sweep
  fn_gen.dg2052.DG2052.html#set_sweep
  Function
  Method
  PUBLIC
  Sets the parameters of a signal sweep
- fn_gen.dg2052.DG2052.trigger_sweep
  fn_gen.dg2052.DG2052.html#trigger_sweep
  Function
  Method
  PUBLIC
  Triggers a sweep manually (Only works if the sweep was setup with `trigger_source` as `SweepTriggerSource.MANUAL`)